<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
 <head>
  <title> StrokeMobile API Employees </title>
  <meta name="Generator" content="EditPlus">
  <meta name="Author" content="">
  <meta name="Keywords" content="">
  <meta name="Description" content="">
    <script src="../jquery/jquery-1.11.1.js"></script>
  <script>
	$(function() {
		$("#sendbutton").click(function() {
			sendClick();
		});
	});
	function sendClick() {
		$.ajax({
			url : "../rest/manager/api/employees",
			data : $(test).serialize(),
			type : "POST",
			dataType : "html",
			contentType : "application/x-www-form-urlencoded; charset=UTF-8",
			error : function(transport,status,errorThrown) {
				alert("error : "+errorThrown);
			},
			success: function(data){
				alert("success "+$.trim(data));
			}
		});
	}
  </script>
 </head>

 <body>
 StrokeMobile API Employees Test
<FORM id="test" name="test"  METHOD ='POST' ACTION ='../rest/manager/api/employees?fsUser=tnpl' >
	<table >
		<tr>
		</tr>
		<tr class="rclass">
			<td class="inclass">
				Data : <textarea id="data" cols="100" rows="15" type="text" name="data" tagid="data"  value=""></textarea>
			</td>
		</tr>
		<tr class="rclass">
			<td class="lbclass">
				<input type="hidden" name="fsUser" tagid="fsUser" value="tnpl"></input>
				<input type="submit" name="submit" value="submit"/>
				<input type="button" id="sendbutton" value="Send(UTF8)"></input><BR>
			</td>
	</table>
</FORM>
 </body>
  <script>
 var data = '{\n"api":"stfe101/authen",\n';
 data += '\n"updateDate":"2017050213:20:20",\n';
 data += '\n"strokeid":"asfetsdfs_sfsafsaf",\n';
 data += '\"device_id":"test_device_id",\n';
 data += '\n"sapNumber":"11000001",\n';
 data += '\n"empName":"",\n';
 data += '\n"authorityType":"D001"\n';
 data += '\n}';
  document.getElementById("data").innerText = data;

 </script>
</html>
